From 4202229a9319fa2f307b2761696775a2c5905fcd Mon Sep 17 00:00:00 2001
From: David Fetter <david@fetter.org>
Date: Wed, 5 May 2021 15:48:53 -0700
Subject: [PATCH v1] Clarify some column descriptions in pg_constraint
To: hackers
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------2.31.1"

This is a multi-part message in MIME format.
--------------2.31.1
Content-Type: text/plain; charset=UTF-8; format=fixed
Content-Transfer-Encoding: 8bit


diff --git doc/src/sgml/catalogs.sgml doc/src/sgml/catalogs.sgml
index 492ed348b3..2c501f21f7 100644
--- doc/src/sgml/catalogs.sgml
+++ doc/src/sgml/catalogs.sgml
@@ -2664,7 +2664,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-operator"><structname>pg_operator</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       If a foreign key, list of the equality operators for PK = FK comparisons
+       If a foreign key, list of the equality operators for establishing whether primary key columns are equal to the corresponding foreign key columns (PK = FK)
       </para></entry>
      </row>
 
@@ -2674,7 +2674,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-operator"><structname>pg_operator</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       If a foreign key, list of the equality operators for PK = PK comparisons
+       If a foreign key, list of the equality operators for establishing whether primary key columns are equal (PK = PK)
       </para></entry>
      </row>
 
@@ -2684,7 +2684,7 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        (references <link linkend="catalog-pg-operator"><structname>pg_operator</structname></link>.<structfield>oid</structfield>)
       </para>
       <para>
-       If a foreign key, list of the equality operators for FK = FK comparisons
+       If a foreign key, list of the equality operators for establishing whether foreign key columns are equal (FK = FK)
       </para></entry>
      </row>
 

--------------2.31.1--


